Reflector 5.0 API changes

Developer
Mar 13, 2007 at 10:50 PM
I have a custom language plugin that uses Reflector.CodeModel.Visitor base class.
After upgrading to 5.0, I'm getting compilation errors for the following overrides I used to implement:

public override IExpression VisitArrayInitializerExpression(IArrayInitializerExpression value)

public override IExpression VisitObjectInitializeExpression(IObjectInitializeExpression value)

public override IExpression VisitNamedArgumentExpression(INamedArgumentExpression value)


I'd like to know which are the new versions of those so that I can make the necessary changes.

Thanks!
Coordinator
Mar 13, 2007 at 11:31 PM
Look under the the "Source Code" tab for main\Source\Framework\Visitor.cs.
Apr 26, 2007 at 10:31 PM
Lutz,
Could you, please, make the code for Framework\Visitors.cs avaliable again. -- Or is it that I do not know where to look?
Thanks in advance,
Adam
Coordinator
Apr 27, 2007 at 4:13 AM
There is one under \Source\Graph\Visitor.cs
Apr 28, 2007 at 12:12 AM

lutzroeder wrote:
There is one under \Source\Graph\Visitor.cs


Many thanks. I got it.
Adam